Subject: bug#26341: [PATCH 1/5] build: syscalls: Add reboot.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 10 Apr 2017 15:41:51 +0200

Hi,

Mathieu Othacehe <[email-masked]> skribis:

>> The problem is that we cannot #:replace unconditionally (when not using
>> the patched Guile, there’s nothing to replace¹).
>
> Yes I was relying on #:replace ability to just export the symbol if
> there's nothing to replace (as explained in your note¹).
>
>>
>> WDYT?
>
> Anyway, your macro seems a nicer way than dealing with export/replace.
> I gave it a try and everything still seems warning free.
>
> My only concern is that it won't be obvious for people who want to use
> reboot or mount or any other syscall that they have to use (guix build
> syscalls) because the #:export list won't contain those syscalls.
>
> Maybe a big explanation on top of the file would be enough ?

Yes, I think it would be enough.

Also, the initrd is the only context where one can omit (use-modules
(guix build syscalls)) so I think people will choose to use it by
default.

Thanks,
Ludo’.